<template>
    <div class="examination">
     <el-dialog @close="closeDialog" :visible.sync="dialogTableVisible" customClass="customWidth_syst">
        <div slot="title" class="titleBox">
        <i :class="tableType === 0? 'el-icon-document':'el-icon-edit-outline'" style="font-size: 20px"></i>
        <!-- <img style="width: 25px; height: 25px" src='../../../../assets/img/imgScreen/more.png' /> -->
        <span style="margin-left:10px;font-size:18px">{{tableTypeDsc}}</span>
        </div>
       <el-form ref="baseData" label-width="80px" :rules="ruleValidate" :model="baseData">
         <el-row>
          <el-col :span="10">
            <el-form-item prop="threadName" label="线程名称">
              <el-input v-model="baseData.threadName" size="small"></el-input>
            </el-form-item>
          </el-col>
          <el-col :span="10">
            <el-form-item prop="threadVer" label="线程版本">
              <el-input v-model="baseData.threadVer" size="small"></el-input>
            </el-form-item>
          </el-col>
         </el-row>
          <el-row>
          <el-col :span="20">
            <el-form-item prop="threadNum" label="线程频率">
              <el-input v-model="baseData.threadNum" size="small"></el-input>
            </el-form-item>
          </el-col>
         </el-row>
          <el-row>
          <el-col :span="20">
            <el-form-item prop="threadPath" label="线程路径">
              <el-input v-model="baseData.threadPath" size="small"></el-input>
            </el-form-item>
          </el-col>
         </el-row>
          <el-row>
          <el-col :span="20">
            <el-form-item prop="threadUsed" label="线程作用">
              <el-input v-model="baseData.threadUsed" size="small"></el-input>
            </el-form-item>
          </el-col>
         </el-row>
          <el-row>
          <el-col :span="20">
            <el-form-item prop="memo" label="备注">
              <el-input v-model="baseData.memo" size="small"></el-input>
            </el-form-item>
          </el-col>
         </el-row>
       </el-form>
       <span slot="footer" class="dialog-footer">
        <el-button type="goon" size="mini" icon="el-icon-check" @click="tableType === 0 ? addData():modifyData()">确定</el-button>
        <el-button size="mini" type="goon" icon="el-icon-remove-outline" @click="cancel">取消</el-button>
      </span>
    </el-dialog>
    </div>
</template>
<script>
import {
  getCookie
} from '@/utils/util.js';
import {
  cookieUserId,
  cookieUserName
} from '@/config/config.js';
let userName = getCookie(cookieUserName);
let userId = getCookie(cookieUserId);
export default {
  props: ['showFlag', 'Params'],
    data () {
        return {
            dialogTableVisible: false,
            tableTypeDsc: '新增线程信息',
            tableType: 0,
            seen: true,
            seenNo: true,
            beInvalid: false,
            tableData: [],
            baseData: {
              threadName: '',
              threadVer: '',
              threadNum: '',
              threadPath: '',
              threadUsed: '',
              memo: ''
            },
            ruleValidate: {
              threadName: [{ required: true, message: '该项不能为空', trigger: 'change' }],
              threadVer: [{ required: true, message: '该项不能为空', trigger: 'change' }],
              threadNum: [{ required: true, message: '该项不能为空', trigger: 'change' }],
              threadPath: [{ required: true, message: '该项不能为空', trigger: 'change' }],
              threadUsed: [{ required: true, message: '该项不能为空', trigger: 'change' }]
             }
        }
    },
    methods: {
      cancel () {
        let _this = this;
        _this.tableData = [];
        _this.baseData = {
              threadName: '',
              threadVer: '',
              threadNum: '',
              threadPath: '',
              threadUsed: '',
              memo: ''
        }
        _this.dialogTableVisible = false
        _this.$emit('refresh')
      },
      addData () {
        let _this = this;
        _this.tableData = [];
         _this.$refs['baseData'].validate((valid) => {
          if (valid) {
             _this.dialogTableVisible = false;
             _this.baseData.createMan = userName;
             _this.baseData.createNo = userId;
             _this.tableData.push(_this.baseData)
             _this.axios.post('pass/baseManagement/v1/limsbasethreads/', _this.tableData, {individualType: 'json'}).then(res => {
                if (res.succeed) {
                 this.$message.success('添加成功')
                 _this.$emit('refresh')
                } else {
                 this.$message.error(res.message)
                }
                }).catch(e => {
                 this.$message.error(e.message)
               })
         }
       })
      },
      modifyData () {
        let _this = this;
        _this.tableData = [];
        _this.$refs['baseData'].validate((valid) => {
        if (valid) {
        _this.dialogTableVisible = false;
        _this.baseData.updateMan = userName;
        _this.baseData.updateNo = userId;
        _this.axios.put('pass/baseManagement/v1/limsbasethreads/', _this.baseData, {individualType: 'json'}).then(res => {
           if (res.succeed) {
            this.$message.success('修改成功')
            _this.$emit('refresh')
           } else {
            this.$message.error(res.message)
           }
           }).catch(e => {
            this.$message.error(e.message)
          })
        }
        })
      },
      renderHeader (h) {
         return (
             <div style="cursor: pointer ;line-height:20px" onClick={() => this.addRow()}>
             <i class="el-icon-plus" style="font-size:20px; color:rgb(18, 52, 243)"></i>
             </div>
         )
      },
     closeDialog () {
       let _this = this;
       _this.tableData = [];
       _this.baseData = {
              threadName: '',
              threadVer: '',
              threadNum: '',
              threadPath: '',
              threadUsed: '',
              memo: ''
        }
       _this.seen = true;
       _this.seenNo = true;
       _this.beInvalid = false;
       _this.$emit('refresh')
     },
      tableHeaderCellStyle () {
      return 'background-color: rgb(249,249,249) !important;color: rgb(73, 72, 72);border-bottom: 1px solid #DCDFE7;border-top:3px solid #3ac1ea;'
      }
    },
    watch: {
      showFlag (arg) {
        let _this = this;
        _this.dialogTableVisible = true;
        if (_this.Params !== null) {
          _this.baseData = _this.Params[0];
          _this.tableType = 1;
          _this.tableTypeDsc = '修改线程信息';
          _this.seen = false;
          _this.beInvalid = true;
        } else {
          _this.tableType = 0;
          _this.seenNo = false;
          _this.tableTypeDsc = '新增线程信息';
        }
      }
    }
}
</script>
<style lang="less">
.customWidth_syst{
  width: 500px !important
}
</style>
